Skip to main content
GET
List cluster add-ons

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

cluster_id
string<uuid4>
required

Query Parameters

page
integer
default:1
page_size
integer
default:25

Response

Successful Response

pagination
Pagination · object
required
result
ClusterAddonListItem · object[]
required
security_advisories_checked_at
string<date-time> | null

The oldest successful upstream advisory feed read behind this page's advisory answers; null when one has never been read.

security_advisories_stale
boolean

True when an advisory feed behind this page has not been read successfully in the last day, or ever.